<template>
  <div class="videoBox">
    <div class="sereisVideo">
      <iframe :src="m_videoSrc" frameborder="0" style="width: 100%; height: 100%"></iframe>
    </div>
    <!-- <div class="desc">暂无说明</div> -->
  </div>
</template>

<script>
export default {
  props: ["videosrc"],
  data() {
    return {
      m_videoSrc: ""
    };
  },
  mounted() {
    let that = this;
  if(that.videosrc == "")return;
    that.m_videoSrc =
      "https://player.bilibili.com/player.html?bvid=" + that.videosrc + "&page=1";
  },
  methods: {}
};
</script>

<style lang="scss">
.videoBox {
  width: 100%;
  height: 238px;
  .sereisVideo {
    width: 100%;
    height: 100%;
  }
  .desc {
    margin: 20px 15px 10px;
    color: #6d6d72;
    font-size: 15px;
    text-align: left;
  }
}
</style>